Fulfillment & ShippingRegions
Create tax region
Creates a tax region for a country with its rates and returns it.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://api.ecomiq.pe/api/v1/taxes/regions" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "countryCode": "PE", "name": "Mi tienda", "serviceType": "manual", "isActive": true, "rates": [ { "provinceCode": "POL-001", "provinceName": "Mi tienda", "rate": 1, "label": "Mi tienda", "calculationType": "additive" } ] }'{ "id": "7204558912004329288", "storeId": "7204558912004327977", "countryCode": "PE", "name": "Mi tienda", "serviceType": "manual", "isActive": true, "rates": [ { "id": "7204558912004323264", "provinceCode": "POL-001", "provinceName": "Mi tienda", "rate": 1, "label": "Mi tienda", "calculationType": "additive" } ], "createdOn": "2026-09-28T15:30:00Z", "updatedOn": "2026-09-28T15:30:00Z"}